> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Transaction History

> Retrieves a paginated and filtered list of transactions for the authenticated customer or a customer managed by the agent/manager.

This endpoint fetches the transaction history, allowing for detailed filtering by amount range, date range, and pagination. It uses a `POST` method because the complex filtering parameters are sent in the request body.


## OpenAPI

````yaml POST /transactionmanagement/history-data
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /transactionmanagement/history-data:
    post:
      summary: History Data
      description: Retrieves filtered transaction history
      operationId: historyData
      parameters:
        - $ref: '#/components/parameters/platformHeader'
        - $ref: '#/components/parameters/uuidHeader'
        - in: header
          name: X-Auth-Token
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fromAmount:
                  type: number
                  default: 0.1
                toAmount:
                  type: number
                  default: 100000000
                fromDate:
                  type: string
                  default: '2025-09-21'
                toDate:
                  type: string
                  default: '2025-11-20'
                totalNumber:
                  type: number
                  default: 200
                startNumber:
                  type: number
                  default: 1
                customerCode:
                  type: string
              required:
                - fromAmount
                - toAmount
                - fromDate
                - toDate
                - totalNumber
                - startNumber
      responses:
        '200':
          description: Transaction history
components:
  parameters:
    platformHeader:
      in: header
      name: platform
      schema:
        type: string
        default: fincode
      required: true
    uuidHeader:
      in: header
      name: uuid
      schema:
        type: string
        default: '200'
      required: true

````